gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Renders a or a

This Class is a implementation that can render a checkbox in your columns.

It is important to note that the will not change the corresponding bool field in your itself - you'll need to provide a handler, as shown in the following code snippet:

`private TreeStore store; void SetupTreeView () { store = new TreeStore (typeof (string), typeof(bool)); // populate store.. TreeView tv = new TreeView (store); tv.HeadersVisible = true; tv.AppendColumn ("Name", new CellRendererText (), "text", 0); CellRendererToggle crt = new CellRendererToggle(); crt.Activatable = true; crt.Toggled += crt_toggled; tv.AppendColumn ("CheckMe", crt, "active", 1); // add the TreeView to some window... } void crt_toggled(object o, ToggledArgs args) { TreeIter iter; if (store.GetIter (out iter, new TreePath(args.Path))) { bool old = (bool) store.GetValue(iter,1); store.SetValue(iter,1,!old); } }` Gtk.CellRenderer
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new .
  The default constructor.
- Property
  System.Boolean The can be activated. an object of type GLib.Property("activatable")
- Property
  System.Boolean The toggle state of the . an object of type GLib.Property("active")
- Property
  System.Boolean Draw the as a . an object of type GLib.Property("radio")
- Event
  Gtk.ToggledHandler Emitted when the cell is clicked. GLib.Signal("toggled")
- Property
  System.Boolean The inconsistent state of the button. a GLib.Property("inconsistent")
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Property
  GLib.Property("indicator-size")
  System.Int32 Size of check or radio indicator. defaults to 12.